Home | All Classes | Grouped Classes | Index | Search

# Class CL_LibraryLoader

CL_LibraryLoader class More...

Derived from: none
Derived by: none
Group: Core (Library)

#include <ClanLib/core.h>

Construction:

CL_LibraryLoader | Constructor that does nothing

Attributes:

name | Return the dynamic library filename
resolve | Resolve a symbol name within the library
is_loaded | Return the state of the library
load | Load the library
unload | Unload the library
get_last_error | Get the last error message

Detailed description:

!group=Core/System! !header=core.h!

This class is a wrapper to dynmanically load code from a dynamic library.

Questions or comments, write to the ClanLib mailing list.